Package ch.qos.logback.core.net

# Class LoginAuthenticator

java.lang.Object
javax.mail.Authenticator
ch.qos.logback.core.net.LoginAuthenticator

public class LoginAuthenticator extends javax.mail.Authenticator
Used by SMTPAppender for authentication purposes.

## Method Summary

Modifier and Type
Method
Description
`javax.mail.PasswordAuthentication`
`getPasswordAuthentication()`

### Methods inherited from class javax.mail.Authenticator

`getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPasswordAuthentication

public javax.mail.PasswordAuthentication getPasswordAuthentication()

Overrides:
  `getPasswordAuthentication` in class `javax.mail.Authenticator`